package org.qtunes.console;

import org.qtunes.core.*;
import org.qtunes.auth.*;
import org.qtunes.db.*;
import org.qtunes.auth.control.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import org.apache.log4j.Logger;

/**
 * A ParamParser suitable for interactive use.
 * Requests are made as you would invoke a method in JavaScript, eg "Player.addTrack(3)"
 * or "db.getField(1, 'Title')". Responses are formatted as plain text.
 */
class ConsoleParser extends SimpleParser {

    public Session getSession() {
        throw new IllegalStateException("Session implied with ConsoleParser");
    }

}
