package org.qtunes.daap;

import org.qtunes.web.*;
import java.io.*;
import java.util.*;

class HandlerCtrlInt extends AbstractHandler {

    Block handleDAAP(DaapServer daap, WebConnection con) throws IOException {
        ListBlock caci = Blocks.create(Blocks.caci);
        caci.add(Blocks.create(Blocks.mstt, 200));
        caci.add(Blocks.create(Blocks.muty, 0));
        ListBlock mlcl = Blocks.create(Blocks.mlcl);

        ListBlock mlit = Blocks.create(Blocks.mlit);
        mlit.add(Blocks.create(Blocks.miid, 1));
        mlit.add(Blocks.create(Blocks.cmik, 1));
        mlit.add(Blocks.create(Blocks.cmsp, 1));
        mlit.add(Blocks.create(Blocks.cmsv, 1));
        mlit.add(Blocks.create(Blocks.cass, 1));
        mlit.add(Blocks.create(Blocks.casu, 1));
//        mlit.add(Blocks.create(Blocks.ceSG, 1));              // iTunes91
        mlcl.add(mlit);

        caci.add(Blocks.create(Blocks.mtco, mlcl.size()));
        caci.add(Blocks.create(Blocks.mrco, mlcl.size()));
        caci.add(mlcl);
        return caci;
    }

    @Override
    boolean isSessionRequired() {
        return false;
    }

}
